PHP Manual
Prev |  | Next

# cpdf_curveto

(PHP 3 >= 3.0.8, PHP 4, PHP 5 <= 5.0.4)

cpdf_curveto -- Draws a curve

## Description

bool cpdf_curveto ( int pdf_document, float x1, float y1, float x2, float y2, float x3, float y3 [, int mode] )

Draws a Bezier curve from the current point to the point (`x3`, `y3`) using (`x1`, `y1`) and (`x2`, `y2`) as control points.

## Parameters

`pdf_document`

  The document handle, returned by cpdf_open().

`x1`

  x-coordinate for the first control point

`y1`

  y-coordinate for the first control point

`x2`

  x-coordinate for the second control point

`y2`

  y-coordinate for the second control point

`x3`

  x-coordinate for the target

`y3`

  y-coordinate for the target

`mode`

  The optional parameter `mode` determines the unit length. If it is 0 or omitted the default unit as specified for the page is used. Otherwise the coordinates are measured in postscript points disregarding the current unit.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

cpdf_moveto()
cpdf_rmoveto()
cpdf_rlineto()
cpdf_lineto()

Prev | Home | Next
cpdf_continue_text | Up | cpdf_end_text